KJS(1)

NAME
kjs - KDE ECMAScriptiga ühilduv interpretaator

SYNOPSIS

kjs [--help | -help | -h] [-e lause] [skript]

KIRJELDUS

kjs on KDE ECMAScripti/JavaScripti mootor.

RAKENDUSE VõTMED

--help,-help,-h
    Näitab kjscmd kasutamist.

-e lause
    Käivitab lause ja väljub. Näide:

    kjs -e "print('hello world')"

script
    Käivitab failis skript leiduvad laused.

KASUTAMINE

Nagu paljude interpretaatorite korral, kasutab kjs fail ilma parameetrita väljakutsumise puhul rearedaktorit lause sisestamiseks, näidates viipa
JS
. Rearedaktorist väljumiseks kirjuta quit() või vajuta klahve Ctrl+D.

VAATA KA

kjs(1)

VEAD

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org: http://bugs.kde.org.

AUTHOR
Harri Porten <porten@kde.org>.